## swami 2.0.0%2Bsvn389

=== src/libswami/CMakeLists.txt ===
#
# Swami
# Copyright (C) 1999-2010 Joshua "Element" Green <jgreen@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2
# of the License only.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA or point your web browser to http://www.gnu.org.
#

include_directories (
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}
    ${CMAKE_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GOBJECT_INCLUDEDIR} 
    ${GOBJECT_INCLUDE_DIRS} 
    ${LIBINSTPATCH_INCLUDEDIR} 
    ${LIBINSTPATCH_INCLUDE_DIRS} 
)

# ************ library ************

set ( libswami_public_HEADERS
    SwamiContainer.h
    SwamiControl.h
    SwamiControlEvent.h
    SwamiControlFunc.h
    SwamiControlHub.h
    SwamiControlMidi.h
    SwamiControlProp.h
    SwamiControlQueue.h
    SwamiControlValue.h
    SwamiEvent_ipatch.h
    SwamiLock.h
    SwamiLog.h
    SwamiLoopFinder.h
    SwamiLoopResults.h
    SwamiMidiDevice.h
    SwamiMidiEvent.h
    SwamiObject.h
    SwamiParam.h
    SwamiPlugin.h
    SwamiPropTree.h
    SwamiRoot.h
    SwamiWavetbl.h
    util.h
    ${CMAKE_CURRENT_BINARY_DIR}/version.h
) 

set ( libswami_SOURCES
    SwamiContainer.c
    SwamiControl.c
    SwamiControlEvent.c
    SwamiControlFunc.c
    SwamiControlHub.c
    SwamiControlMidi.c
    SwamiControlProp.c
    SwamiControlQueue.c
    SwamiControlValue.c
    SwamiEvent_ipatch.c
    SwamiLock.c
    SwamiLog.c
    SwamiLoopFinder.c
    SwamiLoopResults.c
    SwamiMidiDevice.c
    SwamiMidiEvent.c
    SwamiObject.c
    SwamiParam.c
    SwamiPlugin.c
    SwamiPropTree.c
    SwamiRoot.c
    SwamiWavetbl.c
    libswami.c
    util.c
    value_transform.c
)


set ( public_main_HEADER libswami.h )

link_directories (
    ${GOBJECT_LIBDIR} 
    ${GOBJECT_LIBRARY_DIRS}
    ${LIBINSTPATCH_LIBDIR}
    ${LIBINSTPATCH_LIBRARY_DIRS}
)

add_definitions (
    -DLOCALEDIR="${DATA_INSTALL_DIR}/locale"
    -DG_LOG_DOMAIN=\"libswami\"
)

add_library ( libswami
    ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.c
    ${CMAKE_CURRENT_BINARY_DIR}/marshals.c
    ${libswami_SOURCES} 
)

# Version file
configure_file ( ${CMAKE_CURRENT_SOURCE_DIR}/version.h.in
                 ${CMAKE_CURRENT_BINARY_DIR}/version.h )

install ( FILES
          ${libswami_public_HEADERS}
          ${public_main_HEADER}
          DESTINATION include/swami/libswami )

find_program (GLIB2_MKENUMS glib-mkenums)
find_program (SED sed)

add_custom_command (
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.h
  COMMAND ${GLIB2_MKENUMS}
  ARGS
    --fhead \"\#ifndef __SWAMI_BUILTIN_ENUMS_H__\\n\"
    --fhead \"\#define __SWAMI_BUILTIN_ENUMS_H__\\n\\n\"
    --fhead \"\#include <glib-object.h>\\n\\n\"
    --fhead \"G_BEGIN_DECLS\\n\"
    --fprod \"/* enumerations from \\"@filename@\\" */\\n\"
    --vhead \"GType @enum_name@_get_type \(void\)\;\\n\"
    --vhead \"\#define SWAMI_TYPE_@ENUMSHORT@ \(@enum_name@_get_type\(\)\)\\n\"
    --ftail \"G_END_DECLS\\n\\n\"
    --ftail \"\#endif /* __SWAMI_BUILTIN_ENUMS_H__ */\"
    ${libswami_public_HEADERS}
    > ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${libswami_public_HEADERS}
)

add_custom_command (
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.c
  COMMAND ${GLIB2_MKENUMS}
  ARGS
    --fhead \"\#include \\"libswami.h\\"\\n\"
    --fhead \"\#include \\"swami_priv.h\\"\\n\"
    --fprod \"/* enumerations from \\"@filename@\\" */\"
    --vhead \"static const G@Type@Value _@enum_name@_values[] = {\"
    --vprod \"  { @VALUENAME@, \\"@VALUENAME@\\", \\"@valuenick@\\" },\"
    --vtail \"  { 0, NULL, NULL }\\n}\;\\n\\n\"
    --vtail \"GType\\n@enum_name@_get_type \(void\)\\n{\\n\"
    --vtail \"  static GType type = 0\;\\n\\n\"
    --vtail \"  if \(G_UNLIKELY \(type == 0\)\)\\n\"
    --vtail \"    type = g_\@type\@_register_static \(\\"@EnumName@\\", _@enum_name@_values\)\;\\n\\n\"
    --vtail \"  return type\;\\n}\\n\\n\"
    ${libswami_public_HEADERS}
    > ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.c
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${libswami_public_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.h
)


find_program (GLIB2_GENMARSHAL glib-genmarshal)

add_custom_command (
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/marshals.c
  COMMAND ${GLIB2_GENMARSHAL}
  ARGS
    --body --prefix=swami_marshal
    ${CMAKE_CURRENT_SOURCE_DIR}/marshals.list >${CMAKE_CURRENT_BINARY_DIR}/marshals.c
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/marshals.list ${CMAKE_CURRENT_BINARY_DIR}/marshals.h
)

add_custom_command (
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/marshals.h
  COMMAND ${GLIB2_GENMARSHAL}
  ARGS
    --header --prefix=swami_marshal
    ${CMAKE_CURRENT_SOURCE_DIR}/marshals.list >${CMAKE_CURRENT_BINARY_DIR}/marshals.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/marshals.list
)


target_link_libraries ( libswami
    ${GOBJECT_LIBRARIES}
    ${LIBINSTPATCH_LIBRARIES}
)

if ( MACOSX_FRAMEWORK )
     set_property ( SOURCE ${libswami_public_HEADERS} 
         PROPERTY MACOSX_PACKAGE_LOCATION Headers/libswami
     )
    set_target_properties ( libswami
      PROPERTIES
        OUTPUT_NAME "libswami"
        FRAMEWORK TRUE
        PUBLIC_HEADER "${public_main_HEADER}"
        FRAMEWORK_VERSION "${LIB_VERSION_CURRENT}"
        INSTALL_NAME_DIR ${FRAMEWORK_INSTALL_DIR}
        VERSION ${LIB_VERSION_INFO}
        SOVERSION ${LIB_VERSION_CURRENT}
    )
else ( MACOSX_FRAMEWORK )
  set_target_properties ( libswami
    PROPERTIES
      PREFIX "lib"
      OUTPUT_NAME "swami"
      VERSION ${LIB_VERSION_INFO}
      SOVERSION ${LIB_VERSION_CURRENT}
  )
endif ( MACOSX_FRAMEWORK )

install ( TARGETS libswami
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}${LIB_SUFFIX}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}${LIB_SUFFIX}
  FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
  BUNDLE DESTINATION ${BUNDLE_INSTALL_DIR}
)

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ -Scmake

override_dh_install:
	dh_install -plibswami-dev usr/include
	dh_install -plibswami-dev usr/lib/lib*.so usr/lib/$(DEB_HOST_MULTIARCH)/
	dh_install -plibswami0 usr/lib/lib*.so.* usr/lib/$(DEB_HOST_MULTIARCH)/
	dh_install --remaining-packages

## swami 2.0.0+svn384

=== CMakeLists.txt ===
#
# Swami
# Copyright (C) 1999-2010 Joshua "Element" Green <jgreen@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2
# of the License only.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA or point your web browser to http://www.gnu.org.
#

project ( Swami C )
cmake_minimum_required ( VERSION 2.6.3 )
set ( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )

# Swami package name
set ( PACKAGE "swami" )

# Swami package version
set ( SWAMI_VERSION_MAJOR 2 )
set ( SWAMI_VERSION_MINOR 0 )
set ( SWAMI_VERSION_MICRO 0 )
set ( VERSION "${SWAMI_VERSION_MAJOR}.${SWAMI_VERSION_MINOR}.${SWAMI_VERSION_MICRO}" )      
set ( SWAMI_VERSION "\"${VERSION}\"" )

# libswami/libswamigui - Library versions
# *** NOTICE ***
# Update library version upon each release (follow these steps in order)
# if any source code changes: REVISION++
# if any interfaces added/removed/changed: REVISION=0
# if any interfaces removed/changed (compatibility broken): CURRENT++
# if any interfaces have been added: AGE++
# if any interfaces have been removed/changed (compatibility broken): AGE=0
# This is not exactly the same algorithm as the libtool one, but the results are the same.
set ( LIB_VERSION_CURRENT 0 )
set ( LIB_VERSION_AGE 0 )
set ( LIB_VERSION_REVISION 0 )
set ( LIB_VERSION_INFO 
      "${LIB_VERSION_CURRENT}.${LIB_VERSION_AGE}.${LIB_VERSION_REVISION}" )

# Options disabled by default
option ( enable-debug "enable debugging (default=no)" off )
option ( enable-source-build "enable source build - load resources from source dir (default=no)" off )

# Options enabled by default
option ( BUILD_SHARED_LIBS "Build a shared object or DLL (default=yes)" on )
option ( enable-fluidsynth "enable FluidSynth plugin - needed for sound (if it is available)" on )
option ( enable-fftw "enable fftw support for the FFTune plugin (if it is available)" on )

# Initialize the library directory name suffix.
if ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
  set ( _init_lib_suffix "64" )
else ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
  set ( _init_lib_suffix "" )
endif ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
set ( LIB_SUFFIX ${_init_lib_suffix} CACHE STRING 
      "library directory name suffix (32/64/nothing)" )
mark_as_advanced ( LIB_SUFFIX )

# Default install directory names
include ( DefaultDirs )

# Basic C library checks
include ( CheckSTDC )
include ( CheckIncludeFile )
check_include_file ( string.h HAVE_STRING_H )
check_include_file ( stdlib.h HAVE_STDLIB_H ) 
check_include_file ( stdio.h HAVE_STDIO_H ) 
check_include_file ( math.h HAVE_MATH_H ) 
check_include_file ( errno.h HAVE_ERRNO_H ) 
check_include_file ( stdarg.h HAVE_STDARG_H ) 
check_include_file ( unistd.h HAVE_UNISTD_H ) 

unset ( SWAMI_LIBS CACHE )

# Options for the GNU C compiler only
if ( CMAKE_COMPILER_IS_GNUCC )
  if ( NOT APPLE )
    set ( CMAKE_EXE_LINKER_FLAGS 
          "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed" )
    set ( CMAKE_SHARED_LINKER_FLAGS 
          "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
  endif ( NOT APPLE )
  set ( GNUCC_WARNING_FLAGS "-Wall -W -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wcast-align -Wstrict-prototypes -Wno-unused-parameter -Wno-cast-qual")
  set ( CMAKE_C_FLAGS_DEBUG "-g -DDEBUG ${GNUCC_WARNING_FLAGS}" )
  set ( CMAKE_C_FLAGS_RELEASE "-O2 -fomit-frame-pointer -funroll-all-loops -finline-functions -DNDEBUG ${GNUCC_WARNING_FLAGS}" )
  set ( CMAKE_C_FLAGS_RELWITHDEBINFO "-O2 -g -fomit-frame-pointer -funroll-all-loops -finline-functions -DNDEBUG ${GNUCC_WARNING_FLAGS}" )
endif ( CMAKE_COMPILER_IS_GNUCC )

if ( enable-debug )  
    set ( CMAKE_BUILD_TYPE "Debug" CACHE STRING
          "Choose the build type, options: Debug Release RelWithDebInfo" FORCE )
endif ( enable-debug )

unset ( MINGW32 CACHE )
if ( WIN32 )
  # MinGW compiler (a Windows GCC port)
  if ( MINGW ) 
    set ( MINGW32 1 )
    add_definitions ( -mms-bitfields )
  endif  ( MINGW )
else ( WIN32 )
  set ( SWAMI_LIBS "m" )
endif ( WIN32 )

unset ( DEBUG CACHE )
if ( CMAKE_BUILD_TYPE MATCHES "Debug" )
    set ( DEBUG 1 )
endif ( CMAKE_BUILD_TYPE MATCHES "Debug" )

unset ( SOURCE_BUILD CACHE )
unset ( SOURCE_DIR CACHE )
if ( enable-source-build )
    set ( SOURCE_BUILD 1 )
    set ( SOURCE_DIR ${CMAKE_SOURCE_DIR} )
    set ( PLUGINS_DIR ${CMAKE_BINARY_DIR}/src/plugins )
endif ( enable-source-build )


# Mandatory tool: pkg-config
find_package ( PkgConfig REQUIRED )

# Mandatory library libinstpatch
pkg_check_modules ( LIBINSTPATCH REQUIRED libinstpatch-1.0>=1.0 )

# Mandatory libraries: GTK+, librsvg and libgnomecanvas
pkg_check_modules ( GUI REQUIRED gtk+-2.0>=2.12 librsvg-2.0>=2.8 libgnomecanvas-2.0>=2.0 )

# Mandatory libraries: gobject, glib, gmodule and gthread
pkg_check_modules ( GOBJECT REQUIRED gobject-2.0>=2.12 glib-2.0>=2.12 gmodule-2.0>=2.12 gthread-2.0>=2.12 )

# Mandatory library libglade
pkg_check_modules ( LIBGLADE REQUIRED libglade-2.0 )


include ( UnsetPkgConfig )

# Optional library FluidSynth
unset ( FLUIDSYNTH_SUPPORT CACHE )
if ( enable-fluidsynth )
  pkg_check_modules ( FLUIDSYNTH fluidsynth>=1.0 )
  set ( FLUIDSYNTH_SUPPORT ${FLUIDSYNTH_FOUND} )
else ( enable-fluidsynth )
  unset_pkg_config ( FLUIDSYNTH )
endif ( enable-fluidsynth )

# Optional library fftw3
unset ( FFTW_SUPPORT CACHE )
if ( enable-fftw )
  pkg_check_modules ( FFTW fftw3>=3.0 )
  set ( FFTW_SUPPORT ${FFTW_FOUND} )
else ( enable-fftw )
  unset_pkg_config ( FFTW )
endif ( enable-fftw )


# General configuration file
configure_file ( ${CMAKE_SOURCE_DIR}/config.h.cmake 
                 ${CMAKE_CURRENT_BINARY_DIR}/config.h )
add_definitions ( -DHAVE_CONFIG_H )

# Process subdirectories
add_subdirectory ( src )

# Extra targets for Unix build environments
if ( UNIX )
    # uninstall custom target
    configure_file ( "${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
    add_custom_target ( uninstall
      "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

    # Install XDG mime type, application icon and .desktop file
    install ( FILES swami.desktop DESTINATION ${DATA_INSTALL_DIR}/applications )
    install ( FILES swami.xml DESTINATION ${DATA_INSTALL_DIR}/mime/packages )
    install ( FILES swami.png DESTINATION ${DATA_INSTALL_DIR}/icons/hicolor/48x48/apps )
    install ( FILES swami.svg DESTINATION ${DATA_INSTALL_DIR}/icons/hicolor/scalable/apps )
endif ( UNIX )

message( "\n**************************************************************\n" )

if ( FLUIDSYNTH_SUPPORT )
  message ( "FluidSynth:            yes" )
else ( FLUIDSYNTH_SUPPORT )
  message ( "FluidSynth:            no (there will be no sound!)" )
endif ( FLUIDSYNTH_SUPPORT )

if ( FFTW_SUPPORT )
  message ( "FFTW:                  yes" )
else ( FFTW_SUPPORT )
  message ( "FFTW:                  no (there will be no FFTune plugin!)" )
endif ( FFTW_SUPPORT )

if ( DEBUG )
  message ( "Debug:                 yes" )
else ( DEBUG )
  message ( "Debug:                 no" )
endif ( DEBUG )

if ( SOURCE_BUILD )
  message ( "Source build:          yes (resources loaded from source dir)" )
else ( SOURCE_BUILD )
  message ( "Source build:          no" )
endif ( SOURCE_BUILD )

message ( "**************************************************************\n\n" )

# CPack support 
set ( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Swami instrument editor" )
set ( CPACK_PACKAGE_VENDOR "swami.sourceforge.net" )
set ( CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README" )
set ( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING" )
set ( CPACK_PACKAGE_VERSION_MAJOR ${SWAMI_VERSION_MAJOR} )
set ( CPACK_PACKAGE_VERSION_MINOR ${SWAMI_VERSION_MINOR} )
set ( CPACK_PACKAGE_VERSION_PATCH ${SWAMI_VERSION_MICRO} )

# source packages
set ( CPACK_SOURCE_GENERATOR TGZ;TBZ2;ZIP )
set ( CPACK_SOURCE_IGNORE_FILES "/.svn/;~$;.cproject;.project;/.settings/;${CPACK_SOURCE_IGNORE_FILES}" )
set ( CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE}-${VERSION}" ) 
set ( CPACK_SOURCE_STRIP_FILES OFF )

# binary packages
include ( InstallRequiredSystemLibraries )
set ( CPACK_GENERATOR STGZ;TGZ;TBZ2;ZIP )
set ( CPACK_PACKAGE_NAME ${PACKAGE} )
set ( CPACK_STRIP_FILES ON )

include ( CPack )

=== debian/changelog ===
swami (2.0.0+svn384-2) unstable; urgency=low

  * Team upload.
  * Correct small typo in package description, thanks to Davide Prina
    for reporting this (Closes: #609591).
  * Remove ladcca-dev from Build-Depends.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Apr 2011 10:33:25 +0200

swami (2.0.0+svn384-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release, reintroduce this in Debian (Closes: #603262).
  * Bump Standards version.
  * Change to one_space_ style in control file
  * Removed debian/dirs file.
  * Reworked copyright file.
  * Fix watch file.
  * Changed control file to build swami-dev and swami-doc package too
  * Update debhelper version in Build-Depends.
  * Refresh build-dependencies.
  * Switch to format '3.0 (quilt)'.
  * Add gbp's configuration file.
  * Add debian/*.install.
  * Removed lines for for operating tarball from debian/rules.
  * Changed maintainer, add Uploaders field, improved readability,
    added Vcs-* tags, add Homepage field.
  * Change DH compatibility from 4 to 7.
  * Add debian/get-svn-source.sh file.
  * README.source file added to document how to retrieve new releases
    from upstream's SVN.
  * Added cmake as build dep, build system changed by upstream.
  * Add debian/swami.manpages, various improvements to the manpages.
  * Update address in copyright file
  * Fix swami.install file, removed symbolic links from no-dev package.
  * Removed bzip2 from build dependencies.
  * Added patch for desktop file explicit UTF-8 Encoding
  * Symbols file added.

  [ Alessio Treglia ]
  * Rewrite debian/copyright, fix various issues.
  * Switch to DH7 short-form as requested by the sponsoree. Drop CDBS.
  * Re-order changelog, drop all unnecessary entries.
  * Moves shared libs into libswami0 (shared libraries), rename
    libswami-dev and adjust it properly.
  * Fix libraries path, fix installation path of shlibs.
  * Add patch to remove suffix from shlibs installation path.
  * Remove documentation file, we'll reintoduce that in the future when
    useful.
  * Explicitly set cmake as build system.
  * Improve runtimes descriptions.
  * Add -DBG package.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 03 Dec 2010 01:50:41 +0100

swami (0.9.4-1) unstable; urgency=low

  * New upstream version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 17 Nov 2006 11:43:51 +0100

swami (0.9.2-7) unstable; urgency=low

  * added fluidsynth.patch, makes fluidsynth version checking less restrictive

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 15 Nov 2005 10:07:29 +0100

swami (0.9.2-6) unstable; urgency=low

  * added libaudiofile-dev build dependency, thanks to Karl Chen
    (closes: #317471)
  * added libasound2-dev build dependency (closes: #324054)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 25 Aug 2005 21:56:11 +0200

swami (0.9.2-5) unstable; urgency=low

  * added replaces and conflicts fields for smurf

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 20 Apr 2005 12:08:40 +0200

swami (0.9.2-4) unstable; urgency=low

  * Trying to fix build errors: adding libjack-dev dependency

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 16 Mar 2005 15:57:14 +0100

swami (0.9.2-3) unstable; urgency=low

  * First upload to unstable

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 14 Mar 2005 15:27:31 +0100

swami (0.9.2-2) experimental; urgency=low

  * fix the problem with files in /debian directory (closes: #279154)
  * Added ladcca-dev build dependency

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 16 Feb 2005 17:24:04 +0100

swami (0.9.2-1) experimental; urgency=low

  * Initial Release (closes:  #261548).

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 21 Jan 2004 11:52:11 +0100

=== debian/control ===
Source: swami
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 cmake,
 libsndfile1-dev,
 libaudiofile-dev,
 libgtk2.0-dev (>= 2.8.17),
 pkg-config,
 libfluidsynth-dev,
 libpopt-dev,
 libpng-dev,
 libjack-dev,
 libasound2-dev,
 gettext,
 libinstpatch-dev,
 libgnomecanvas2-dev (>= 2.0),
 librsvg2-dev (>= 2.8),
 libglade2-dev,
 libfftw3-dev,
 gtk-doc-tools,
 docbook-xml,
 python-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/swami.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/swami.git
Homepage: http://swami.sf.net

Package: swami
Architecture: any
Depends: ${shlibs:Depends},
 libswami0 (= ${binary:Version}),
 ${misc:Depends}
Description: MIDI instrument editor application
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.

Package: libswami0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: MIDI instrument editor - shared libraries
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package provides the shared libraries.

Package: libswami-dev
Section: libdevel
Architecture: all
Depends: libswami0 (>= ${source:Version}),
 libswami0 (<< ${source:Upstream-Version}+1~),
 ${misc:Depends},
 libinstpatch-dev,
 libgtk2.0-dev (>= 2.8.17),
 libgnomecanvas2-dev (>= 2.0)
Description: MIDI instrument editor - development files
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package contains the headers files.

Package: swami-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libswami0 (= ${binary:Version}),
 swami (= ${binary:Version}),
 ${misc:Depends}
Description: MIDI instrument editor - debugging symbols
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake

override_dh_strip:
	dh_strip --dbg-package=swami-dbg

## swami 2.0.0+svn389

=== CMakeLists.txt ===
--- 
+++ 
@@ -90,14 +90,17 @@
     set ( CMAKE_SHARED_LINKER_FLAGS 
           "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
   endif ( NOT APPLE )
-  set ( GNUCC_WARNING_FLAGS "-Wall -W -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wcast-align -Wstrict-prototypes -Wno-unused-parameter -Wno-cast-qual")
+  set ( GNUCC_WARNING_FLAGS "-Wall")
   set ( CMAKE_C_FLAGS_DEBUG "-g -DDEBUG ${GNUCC_WARNING_FLAGS}" )
-  set ( CMAKE_C_FLAGS_RELEASE "-O2 -fomit-frame-pointer -funroll-all-loops -finline-functions -DNDEBUG ${GNUCC_WARNING_FLAGS}" )
-  set ( CMAKE_C_FLAGS_RELWITHDEBINFO "-O2 -g -fomit-frame-pointer -funroll-all-loops -finline-functions -DNDEBUG ${GNUCC_WARNING_FLAGS}" )
+  set ( CMAKE_C_FLAGS_RELEASE "-O2 -DNDEBUG ${GNUCC_WARNING_FLAGS}" )
+  set ( CMAKE_C_FLAGS_RELWITHDEBINFO "-O2 -g -DNDEBUG ${GNUCC_WARNING_FLAGS}" )
 endif ( CMAKE_COMPILER_IS_GNUCC )
 
 if ( enable-debug )  
     set ( CMAKE_BUILD_TYPE "Debug" CACHE STRING
+          "Choose the build type, options: Debug Release RelWithDebInfo" FORCE )
+else ( enable-debug )
+    set ( CMAKE_BUILD_TYPE "Release" CACHE STRING
           "Choose the build type, options: Debug Release RelWithDebInfo" FORCE )
 endif ( enable-debug )
 
@@ -156,7 +159,7 @@
 # Optional library fftw3
 unset ( FFTW_SUPPORT CACHE )
 if ( enable-fftw )
-  pkg_check_modules ( FFTW fftw3>=3.0 )
+  pkg_check_modules ( FFTW fftw3f>=3.0 )
   set ( FFTW_SUPPORT ${FFTW_FOUND} )
 else ( enable-fftw )
   unset_pkg_config ( FFTW )

=== src/CMakeLists.txt ===
#
# Swami
# Copyright (C) 1999-2010 Joshua "Element" Green <jgreen@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2
# of the License only.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA or point your web browser to http://www.gnu.org.
#

# Process subdirectories 
add_subdirectory ( libswami )
add_subdirectory ( swamigui )
add_subdirectory ( plugins )

=== src/plugins/CMakeLists.txt ===
#
# Swami
# Copyright (C) 1999-2010 Joshua "Element" Green <jgreen@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2
# of the License only.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA or point your web browser to http://www.gnu.org.
#

include_directories (
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}
    ${CMAKE_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GOBJECT_INCLUDEDIR}
    ${GOBJECT_INCLUDE_DIRS}
    ${GUI_INCLUDEDIR}
    ${GUI_INCLUDE_DIRS}
    ${LIBINSTPATCH_INCLUDEDIR}
    ${LIBINSTPATCH_INCLUDE_DIRS}
    ${FLUIDSYNTH_INCLUDEDIR}
    ${FLUIDSYNTH_INCLUDE_DIRS}
    ${FFTW_INCLUDEDIR}
    ${FFTW_INCLUDE_DIRS}
)


if ( FLUIDSYNTH_SUPPORT )

link_directories ( ${GOBJECT_LIBDIR} ${GOBJECT_LIBRARY_DIRS}
    ${LIBINSTPATCH_LIBDIR} ${LIBINSTPATCH_LIBRARY_DIRS} ${FLUIDSYNTH_LIBDIR}
    ${FLUIDSYNTH_LIBRARY_DIRS}
)

add_library ( fluidsynth_plugin MODULE fluidsynth.c )

target_link_libraries ( fluidsynth_plugin libswami libswamigui ${GOBJECT_LIBRARIES}
    ${LIBINSTPATCH_LIBRARIES} ${FLUIDSYNTH_LIBRARIES}
)

link_directories ( ${GUI_LIBDIR} ${GUI_LIBRARY_DIRS} ${LIBINSTPATCH_LIBDIR}
    ${LIBINSTPATCH_LIBRARY_DIRS} ${FLUIDSYNTH_LIBDIR} ${FLUIDSYNTH_LIBRARY_DIRS}
)

add_library ( fluidsynth_gui MODULE fluidsynth_gui.c )

target_link_libraries ( fluidsynth_gui libswami libswamigui ${GUI_LIBRARIES}
    ${LIBINSTPATCH_LIBRARIES} ${FLUIDSYNTH_LIBRARIES}
)

set_target_properties ( fluidsynth_plugin PROPERTIES PREFIX "" )
set_target_properties ( fluidsynth_gui PROPERTIES PREFIX "" )

install ( TARGETS fluidsynth_plugin fluidsynth_gui
    RUNTIME DESTINATION ${PLUGINS_DIR}
    LIBRARY DESTINATION ${PLUGINS_DIR}
)

endif ( FLUIDSYNTH_SUPPORT )


if ( FFTW_SUPPORT )

link_directories ( ${GOBJECT_LIBDIR} ${GOBJECT_LIBRARY_DIRS}
    ${LIBINSTPATCH_LIBDIR} ${LIBINSTPATCH_LIBRARY_DIRS} ${FFTW_LIBDIR} ${FFTW_DIRS}
)

add_library ( fftune MODULE fftune.c )

target_link_libraries ( fftune libswami ${GOBJECT_LIBRARIES}
    ${LIBINSTPATCH_LIBRARIES} ${FFTW_LIBRARIES}
)

link_directories ( ${GUI_LIBDIR} ${GUI_LIBRARY_DIRS} ${LIBINSTPATCH_LIBDIR}
    ${LIBINSTPATCH_LIBRARY_DIRS}
)

add_library ( fftune_gui MODULE fftune_gui.c )

target_link_libraries ( fftune_gui libswami libswamigui ${GUI_LIBRARIES}
    ${LIBINSTPATCH_LIBRARIES}
)

set_target_properties ( fftune PROPERTIES PREFIX "" )
set_target_properties ( fftune_gui PROPERTIES PREFIX "" )

install ( TARGETS fftune fftune_gui
    RUNTIME DESTINATION ${PLUGINS_DIR}
    LIBRARY DESTINATION ${PLUGINS_DIR}
)

endif ( FFTW_SUPPORT )

=== src/swamigui/CMakeLists.txt ===
#
# Swami
# Copyright (C) 1999-2010 Joshua "Element" Green <jgreen@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2
# of the License only.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA or point your web browser to http://www.gnu.org.
#

include_directories (
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}
    ${CMAKE_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GUI_INCLUDEDIR} 
    ${GUI_INCLUDE_DIRS} 
    ${LIBGLADE_INCLUDEDIR} 
    ${LIBGLADE_INCLUDE_DIRS} 
    ${LIBINSTPATCH_INCLUDEDIR} 
    ${LIBINSTPATCH_INCLUDE_DIRS} 
)

# ************ swamigui Library ************

set ( libswamigui_public_HEADERS
    SwamiguiBar.h
    SwamiguiBarPtr.h
    SwamiguiCanvasMod.h
    SwamiguiControl.h
    SwamiguiControlAdj.h
    SwamiguiControlMidiKey.h
    SwamiguiItemMenu.h
    SwamiguiKnob.h
    SwamiguiLoopFinder.h
    SwamiguiMenu.h
    SwamiguiModEdit.h
    SwamiguiMultiSave.h
    SwamiguiNoteSelector.h
    SwamiguiPanel.h
    SwamiguiPanelSelector.h
    SwamiguiPanelSF2Gen.h
    SwamiguiPanelSF2GenEnv.h
    SwamiguiPanelSF2GenMisc.h
    SwamiguiPaste.h
    SwamiguiPiano.h
    SwamiguiPref.h
    SwamiguiProp.h
    SwamiguiRoot.h
    SwamiguiSampleCanvas.h
    SwamiguiSampleEditor.h
    SwamiguiSpectrumCanvas.h
    SwamiguiSpinScale.h
    SwamiguiSplits.h
    SwamiguiStatusbar.h
    SwamiguiTree.h
    SwamiguiTreeStore.h
    SwamiguiTreeStorePatch.h
    help.h
    icons.h
    patch_funcs.h
    splash.h
    util.h
    widgets/combo-box.h
    widgets/icon-combo.h
) 

set ( libswamigui_SOURCES
    SwamiguiBar.c
    SwamiguiBarPtr.c
    SwamiguiCanvasMod.c
    SwamiguiControl.c
    SwamiguiControl_widgets.c
    SwamiguiControlAdj.c
    SwamiguiControlMidiKey.c
    SwamiguiItemMenu.c
    SwamiguiItemMenu_actions.c
    SwamiguiKnob.c
    SwamiguiLoopFinder.c
    SwamiguiMenu.c
    SwamiguiModEdit.c
    SwamiguiMultiSave.c
    SwamiguiNoteSelector.c
    SwamiguiPanel.c
    SwamiguiPanelSelector.c
    SwamiguiPanelSF2Gen.c
    SwamiguiPanelSF2GenEnv.c
    SwamiguiPanelSF2GenMisc.c
    SwamiguiPaste.c
    SwamiguiPiano.c
    SwamiguiPref.c
    SwamiguiProp.c
    SwamiguiRoot.c
    SwamiguiSampleCanvas.c
    SwamiguiSampleEditor.c
    SwamiguiSpectrumCanvas.c
    SwamiguiSpinScale.c
    SwamiguiSplits.c
    SwamiguiStatusbar.c
    SwamiguiTree.c
    SwamiguiTreeStore.c
    SwamiguiTreeStorePatch.c
    help.c
    icons.c
    patch_funcs.c
    splash.c
    util.c
    widgets/combo-box.c
    widgets/icon-combo.c
)


set ( public_main_HEADER swamigui.h )

link_directories (
    ${GUI_LIBDIR} 
    ${GUI_LIBRARY_DIRS}
    ${LIBGLADE_LIBDIR} 
    ${LIBGLADE_LIBRARY_DIRS}
    ${LIBINSTPATCH_LIBDIR}
    ${LIBINSTPATCH_LIBRARY_DIRS}
)

add_definitions (
    -DLOCALEDIR=\"${DATA_INSTALL_DIR}/locale\"
    -DG_LOG_DOMAIN=\"libswamigui\"
)

add_library ( libswamigui
    ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.c
    ${CMAKE_CURRENT_BINARY_DIR}/marshals.c
    ${libswamigui_SOURCES}
)

target_link_libraries ( libswamigui
    libswami
    ${GUI_LIBRARIES}
    ${LIBGLADE_LIBRARIES}
    ${LIBINSTPATCH_LIBRARIES}
)

install ( FILES
    ${libswamigui_public_HEADERS}
    ${public_main_HEADER}
    DESTINATION ${INCLUDE_INSTALL_DIR}/swami/libswamigui )


# ************ Swami GUI application ************

add_executable ( swami main.c )

if ( SWAMI_CPPFLAGS )
  set_target_properties ( swami
    PROPERTIES COMPILE_FLAGS ${SWAMI_CPPFLAGS} )
endif ( SWAMI_CPPFLAGS )

target_link_libraries ( swami
    libswamigui
    libswami
    ${GUI_LIBRARIES}
    ${LIBGLADE_LIBRARIES}
    ${LIBINSTPATCH_LIBRARIES}
)


# Process subdirectories
add_subdirectory ( images )


find_program (GLIB2_MKENUMS glib-mkenums)
find_program (SED sed)

add_custom_command (
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.h
  COMMAND ${GLIB2_MKENUMS}
  ARGS
    --fhead \"\#ifndef __SWAMIGUI_BUILTIN_ENUMS_H__\\n\"
    --fhead \"\#define __SWAMIGUI_BUILTIN_ENUMS_H__\\n\\n\"
    --fhead \"\#include <glib-object.h>\\n\\n\"
    --fhead \"G_BEGIN_DECLS\\n\"
    --fprod \"/* enumerations from \\"@filename@\\" */\\n\"
    --vhead \"GType @enum_name@_get_type \(void\)\;\\n\"
    --vhead \"\#define SWAMIGUI_TYPE_@ENUMSHORT@ \(@enum_name@_get_type\(\)\)\\n\"
    --ftail \"G_END_DECLS\\n\\n\"
    --ftail \"\#endif /* __SWAMIGUI_BUILTIN_ENUMS_H__ */\"
    ${libswamigui_public_HEADERS}
    > ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${libswamigui_public_HEADERS}
)

add_custom_command (
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.c
  COMMAND ${GLIB2_MKENUMS}
  ARGS
    --fhead \"\#include \\"swamigui.h\\"\\n\"
    --fprod \"/* enumerations from \\"@filename@\\" */\"
    --vhead \"static const G@Type@Value _@enum_name@_values[] = {\"
    --vprod \"  { @VALUENAME@, \\"@VALUENAME@\\", \\"@valuenick@\\" },\"
    --vtail \"  { 0, NULL, NULL }\\n}\;\\n\\n\"
    --vtail \"GType\\n@enum_name@_get_type \(void\)\\n{\\n\"
    --vtail \"  static GType type = 0\;\\n\\n\"
    --vtail \"  if \(G_UNLIKELY \(type == 0\)\)\\n\"
    --vtail \"    type = g_\@type\@_register_static \(\\"@EnumName@\\", _@enum_name@_values\)\;\\n\\n\"
    --vtail \"  return type\;\\n}\\n\\n\"
    ${libswamigui_public_HEADERS}
    > ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.c
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${libswamigui_public_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.h
)


find_program (GLIB2_GENMARSHAL glib-genmarshal)

add_custom_command (
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/marshals.c
  COMMAND ${GLIB2_GENMARSHAL}
  ARGS
    --body --prefix=swamigui_marshal
    ${CMAKE_CURRENT_SOURCE_DIR}/marshals.list >${CMAKE_CURRENT_BINARY_DIR}/marshals.c
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/marshals.list ${CMAKE_CURRENT_BINARY_DIR}/marshals.h
)

add_custom_command (
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/marshals.h
  COMMAND ${GLIB2_GENMARSHAL}
  ARGS
    --header --prefix=swamigui_marshal
    ${CMAKE_CURRENT_SOURCE_DIR}/marshals.list >${CMAKE_CURRENT_BINARY_DIR}/marshals.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/marshals.list
)

if ( MACOSX_FRAMEWORK )
     set_property ( SOURCE ${libswami_public_HEADERS} 
         PROPERTY MACOSX_PACKAGE_LOCATION Headers/libswamigui
     )
    set_target_properties ( libswamigui
      PROPERTIES
        OUTPUT_NAME "libswamigui"
        FRAMEWORK TRUE
        PUBLIC_HEADER "${public_main_HEADER}"
        FRAMEWORK_VERSION "${LIB_VERSION_CURRENT}"
        INSTALL_NAME_DIR ${FRAMEWORK_INSTALL_DIR}
        VERSION ${LIB_VERSION_INFO}
        SOVERSION ${LIB_VERSION_CURRENT}
    )
else ( MACOSX_FRAMEWORK )
  set_target_properties ( libswamigui
    PROPERTIES
      PREFIX "lib"
      OUTPUT_NAME "swamigui"
      VERSION ${LIB_VERSION_INFO}
      SOVERSION ${LIB_VERSION_CURRENT}
  )
endif ( MACOSX_FRAMEWORK )

install ( TARGETS swami libswamigui
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}${LIB_SUFFIX}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}${LIB_SUFFIX}
  FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
  BUNDLE DESTINATION ${BUNDLE_INSTALL_DIR}
)

install ( FILES
          swami-2.glade
          DESTINATION ${DATA_INSTALL_DIR}/swami )

=== src/swamigui/images/CMakeLists.txt ===
#
# Swami
# Copyright (C) 1999-2010 Joshua "Element" Green <jgreen@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2
# of the License only.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA or point your web browser to http://www.gnu.org.
#

install ( FILES
    DLS.png
    GIG.png
    SoundFont.png
    concave_neg_bi.png
    concave_neg_uni.png
    concave_pos_bi.png
    concave_pos_uni.png
    effect_control.png
    effect_default.png
    effect_graph.png
    effect_set.png
    effect_view.png
    convex_neg_bi.png
    convex_neg_uni.png
    convex_pos_bi.png
    convex_pos_uni.png
    global_zone.png
    inst.png
    knob.svg
    linear_neg_bi.png
    linear_neg_uni.png
    linear_pos_bi.png
    linear_pos_uni.png
    loop_none.png
    loop_standard.png
    loop_release.png
    modenv.png
    modenv_attack.png
    modenv_decay.png
    modenv_delay.png
    modenv_hold.png
    modenv_release.png
    modenv_sustain.png
    modulator_editor.png
    modulator_junct.png
    mute.png
    piano.png
    preset.png
    python.png
    sample.png
    sample_rom.png
    sample_viewer.png
    splash.png
    splits.png
    swami_logo.png
    switch_neg_bi.png
    switch_neg_uni.png
    switch_pos_bi.png
    switch_pos_uni.png
    tree.png
    tuning.png
    velocity.png
    volenv.png
    volenv_attack.png
    volenv_decay.png
    volenv_delay.png
    volenv_hold.png
    volenv_release.png
    volenv_sustain.png

    DESTINATION ${IMAGES_DIR}
)

=== debian/changelog ===
swami (2.0.0+svn389-5) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Remove unused B-D on libaudiofile-dev

  [ Jaromír Mikeš ]
  * Set compat/dh 10.
  * Bump Standards.
  * Sign tags.
  * Update Vcs to use git instead of cgit.
  * Avoid useless linking.
  * Update copyright file.
  * Add patch to fix load of fftune pluging (Closes: #843638).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 23 Aug 2017 07:04:13 +0200

swami (2.0.0+svn389-4) unstable; urgency=medium

  * Bump Standards.
  * Fix VCS fields.
  * Update copyright file.
  * Drop dbg package in favour of dbgsym.
  * Fix hardening.
  * Add intltool to B-D (Closes: #837841).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Sep 2016 20:29:22 +0200

swami (2.0.0+svn389-3) unstable; urgency=low

  * Bump Standards.
  * Set dh 9.
  * Update VCS fields.
  * Build with autoreconf.
  * Updated copyright.
  * Added keywords to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 21 Aug 2014 13:37:03 +0200

swami (2.0.0+svn389-2) unstable; urgency=low

  * Rebuild against newer GLib. (Closes: #697026)
  * Recommends on jackd. (Closes: #697031)

 -- Alessio Treglia <alessio@debian.org>  Wed, 02 Jan 2013 21:11:49 +0000

swami (2.0.0+svn389-1) unstable; urgency=low

  * Team upload.
  * New upstream svn snapshot:
    - Lots of GCC warnings fixed (variable set but not used, etc).
    - GObject Introspection related changes:
    - Disabled inactive function definitions in some IpatchConvert headers.
    - Added many GObject Introspection parameter type comments.
    - Added IpatchFileHandle boxed type.
    - IpatchSndFileFormat enum now uses file extension for value_name and
      value_nick.
    - IpatchSndFileSubFormat enum now sets value_nick to sub format name
      instead of NULL.
    - Bug fix in qsort function call in create_patch_type_menu() which
      was causing crashes on 64 bit systems. (LP: #810569)
    - Add favicon images.
    - Russian translation of the desktop file from Alexandre Prokoudine.
  * Enable parallel builds.
  * Refresh patches.
  * Build with Multiarch.
  * Move plugins from swami to libswami0.

 -- Alessio Treglia <alessio@debian.org>  Mon, 13 Feb 2012 00:16:23 +0100

=== debian/control ===
Source: swami
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper (>= 10~),
 docbook-xml,
 gettext,
 gtk-doc-tools,
 intltool,
 libasound2-dev,
 libfftw3-dev,
 libfluidsynth-dev,
 libglade2-dev,
 libgnomecanvas2-dev (>= 2.0),
 libgtk2.0-dev (>= 2.8.17),
 libinstpatch-dev,
 libjack-dev,
 libpng-dev,
 libpopt-dev,
 librsvg2-dev (>= 2.8),
 libsndfile1-dev,
 pkg-config,
 python-dev
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/swami.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/swami.git
Homepage: http://swami.sf.net

Package: swami
Architecture: any
Depends:
 libswami0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd
Breaks:
 libswami0 (<= 2.0.0+svn389-1~)
Replaces:
 libswami0 (<= 2.0.0+svn389-1~)
Description: MIDI instrument editor application
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.

Package: libswami0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MIDI instrument editor - shared libraries
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package provides the shared libraries.

Package: libswami-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgnomecanvas2-dev (>= 2.0),
 libgtk2.0-dev (>= 2.8.17),
 libinstpatch-dev,
 libswami0 (= ${binary:Version}),
 ${misc:Depends}
Description: MIDI instrument editor - development files
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package contains the headers files.

=== debian/watch ===
version=3
http://sf.net/swami/swami-(.+)\.tar\.gz
